curl --request GET \
--url https://cloud-api.phala.com/api/v1/cvms/{cvm_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://cloud-api.phala.com/api/v1/cvms/{cvm_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://cloud-api.phala.com/api/v1/cvms/{cvm_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123,
"name": "<string>",
"status": "<string>",
"app_id": "<string>",
"vcpu": 123,
"memory": 123,
"disk_size": 123,
"teepod_id": 123,
"teepod": {
"id": 123,
"name": "<string>",
"region_identifier": "<string>"
},
"in_progress": false,
"vm_uuid": "<string>",
"instance_id": "<string>",
"base_image": "<string>",
"encrypted_env_pubkey": "<string>",
"listed": false,
"project_id": "0123abcd",
"project_type": "<string>",
"instance_type": "<string>",
"public_sysinfo": true,
"public_logs": true,
"dapp_dashboard_url": "<string>",
"syslog_endpoint": "<string>",
"kms_info": {
"id": "kms_0123abcd",
"url": "<string>",
"version": "<string>",
"slug": "<string>",
"chain_id": 123,
"kms_contract_address": "<string>",
"gateway_app_id": "<string>"
},
"contract_address": "<string>",
"deployer_address": "<string>",
"scheduled_delete_at": "2023-11-07T05:31:56Z",
"public_urls": [
{
"app": "<string>",
"instance": "<string>"
}
],
"gateway_domain": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Get CVM details
Returns full CVM details including status, network info, and KMS configuration.
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
Response
CVM details
- CvmBasicInfo
- CVMInfoDetail
Detailed CVM information returned by GET /cvms/{cvm_id}.
Internal CVM database ID
RFC 1123 compliant CVM name
Current status: running, stopped, starting, etc.
Unique application identifier
Allocated vCPU count
Allocated memory in MB
Allocated disk size in GB
Node ID (admin only)
Node metadata
Show child attributes
Show child attributes
True if an operation is currently executing
VM instance UUID on the node
Public instance identifier
OS image name
Public key for encrypting env vars
True if publicly listed
A hashed identifier that maps to an internal database ID
"0123abcd"
Project provision type
Instance type identifier
Expose system info publicly
Expose logs publicly
DApp dashboard URL if applicable
Syslog streaming endpoint
KMS configuration
Show child attributes
Show child attributes
On-chain contract address
Deployer wallet address
Auto-delete timestamp (UTC)
Exposed service URLs
Show child attributes
Show child attributes
Gateway base domain
Was this page helpful?

